package com.JN.demo.zmquotation.service.impl;

import com.JN.demo.zmquotation.dto.RegionDto;
import com.JN.demo.zmquotation.mapper.RegionMapper;
import com.JN.demo.zmquotation.service.RegionService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @ClassName RegionServiceImpl
 * @Description TODO
 * @Author JIAL
 * @Date 2024/2/19 10:46
 * @Version 1.0
 */
@Service
public class RegionServiceImpl implements RegionService {

    @Autowired
    RegionMapper regionMapper;

    /**
     * @title queryRegionListByName
     * @description 根据输入的地区名称查询地区列表
     * @author JIAL
     * @param: regionName
     * @updateTime 2024/2/19 10:59
     * @return: java.util.List<com.JN.demo.zmquotation.dto.RegionDto>
     */
    @Override
    public List<RegionDto> queryRegionListByName(String regionName){
        return regionMapper.queryRegionListByName(regionName);
    }
}
